#ifndef __LRC_H__
#define __LRC_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

typedef struct lrc
{
    int time;          // 歌词时间点
    char lrc_buf[200]; // 歌词内容
    int lrc_cur_num;   // 当前歌词行数, 用于标记当前歌词(第几句歌词 从1开始)
    struct lrc *next;  // 指向下一行歌词(指向链表下一个节点)
} LRC;

FILE *open_lrc_file(const char *lrc_path); // 打开歌词文件
long get_lrc_size(FILE *fp);               // 获取歌词文件大小

#endif